The [Community Insights Survey](https://meta.wikimedia.org/wiki/Community_Insights) is conducted annually by the Global Data and Insights team to help the Wikimedia Foundation learn how to better support communities, both on- and off-wiki. The survey collects indicators related to Wikimedia community's experience with safety and inclusion in online and offline spaces, experience with Wikimedia's technical infrastructure, and resources and support available for project organizers and affiliates.

The notebook analyses various constructs using Principal Component Analysis (PCA) and suggests the best indicators to measure a construct, that have the highest internal consistency (based on cronbach's alpha), based on 2019 and 2020 data. A class named PCAbox has been built for this purpose, packed with various methods to use PCA for Community Insights Survey. 

The implementation methods and reasoning to arrive at a conclusion maybe slightly different from that of SPSS and R, as scikit-learn's PCA doesn't have operations such as Rotated Component Matrix by varimax rotation and biplot. However, the final conclusions should be consistent across all platforms/languages. There is brief documentation for each of the methods, if you would like more detailed instructions on using the class, methods/functions, and interpreting the results, please refer to [this document](https://docs.google.com/document/d/1-aysexKn8nKrJ76g2xBtn7xul6cPqBKK2T75kxv62iA/edit?usp=sharing).